Redmine - Patch #28934

Support migration context for plugins
2018-06-02 00:38 - Pavel Rosicky

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Rails support Estimated time: 0.00 hour
Target version: 4.0.0

Description
https://github.com/rails/rails/commit/a2827ec9811b5012e8e366011fd44c8eb53fc7144#diff-8d3c44120f7b67ff79e2fbe6a40d0ad6L 100
5

Related issues:

Related to Redmine - Patch #28933: Migrate to Rails 5.2 Closed
Has duplicate Redmine - Defect #29291: NoMethodError: undefined method “migra... Closed

Associated revisions

Revision 17514 - 2018-09-23 16:22 - Jean-Philippe Lang
Support migration context for plugins (#28934).

Revision 17535 - 2018-09-29 11:22 - Jean-Philippe Lang
Removed message to stdout (#28934).

History

#1 - 2018-06-02 00:38 - Pavel Rosicky
- File plugin.rb.patch added

#2 - 2018-06-02 04:14 - Go MAEDA
- Related to Patch #28933: Migrate to Rails 5.2 added

#3 - 2018-06-27 00:41 - Tatsuya Saito
- File add_unittest.patch added

| attach a patch to add simple unit test.
| hope to fix this issue :)

#4 - 2018-06-27 03:23 - Go MAEDA
- Category changed from Performance to Rails support

- Target version set to 4.0.0

#5 - 2018-07-04 08:06 - Toru Takahashi

+1 this patch is needed to migrate a plugin by redmine:plugins:migrate on rails 5.2.

#6 - 2018-07-05 16:52 - Tatsuya Saito

- File use_migration_context_with_test.patch added

| think release version like 3.4.x is NOT going to support Rails 5.2, keep 4.x.

So | created a patch which is removed condition of Rails version check for older than trunk.

| attatch it, and it includes add_unittest.patch.

#7 - 2018-07-05 17:36 - Pavel Rosicky
@Tatsuya Saito

| agree we can remove the rails version check. Your patch is simple, but wrong. It produces invalid entries in schema_migrations! without a

plugin_name suffix.

2025-07-06

1/2



https://github.com/rails/rails/commit/a2827ec9811b5012e8e366011fd44c8eb53fc714#diff-8d3c44120f7b67ff79e2fbe6a40d0ad6L1005
https://github.com/rails/rails/commit/a2827ec9811b5012e8e366011fd44c8eb53fc714#diff-8d3c44120f7b67ff79e2fbe6a40d0ad6L1005

Btw: my patch also loads schema_migrations only once for all plugins, so there's also a performance impact if you have more plugins installed.

Unfortunatelly | have to duplicate MigrationContext because it calls back the original Migrator class from Rails not the patched one by Redmine.
Maybe someone can figure out a better solution.

#8 - 2018-07-07 04:23 - Tatsuya Saito

- File use_migration_context_with_test2.patch added

Pavel Rosicky wrote:

@Tatsuya Saito
| agree we can remove the rails version check. Your patch is simple, but wrong. It produces invalid entries in schema_migrations! without a
plugin_name suffix.

Thanks comment and sorry broke your patch.
| fix and attach it.

#9 - 2018-07-07 05:36 - Pavel Rosicky

It's ok. Thanks for testing

#10 - 2018-09-23 16:23 - Jean-Philippe Lang
- Subject changed from [Rails 5.2] support migration context to Support migration context for plugins
- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

Committed, thanks.

#11 - 2018-12-01 10:28 - Go MAEDA
- Has duplicate Defect #29291: NoMethodError: undefined method “migrate’ for Redmine::Plugin::Migrator:Class added

Files

plugin.rb.patch 3.27 KB 2018-06-01 Pavel Rosicky
add_unittest.patch 534 Bytes 2018-06-26 Tatsuya Saito
use_migration_context_with_test.patch 1.06 KB 2018-07-05 Tatsuya Saito
use_migration_context_with_test2.patch 3.54 KB 2018-07-07 Tatsuya Saito
